<!DOCTYPE html>
<html lang="ja">
  <head>
    <meta charset="UTF-8">
    <title>Query Segmenter</title>
  </head>
  <body>
    <script src="index.js"></script>
    <script type="text/javascript">
      "use strict"

      function splitWords(query) {
        // The segmenter is a promise of downloading and initializing the wasm module,
        // so we need `then()` here.
        window.segmenterLib.segmenter.then(seg => {
          let words = seg.splitWords(query)
          document.getElementById("result").innerHTML = words;
        })
      }
    </script>
    <form action="#" onsubmit="return false;">
      <input type="search" id="query" onchange="splitWords(this.value);">
      <input type="submit" value="文字列を分割" onmousedown="splitWords(document.getElementById('query').value);">
      <p id="result"></p>
    </form>
  </body>
</html>
